/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class ViewDataGlobal extends com.mysql.grt.db.ViewDataGlobal implements ViewData {

    public ViewDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getCreateDate() {
        return getGrtGlobalAsString("createDate");
    }

    public String setCreateDate(String createDate) {
        setGrtGlobalFromString("createDate", createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return getGrtGlobalAsString("createTime");
    }

    public String setCreateTime(String createTime) {
        setGrtGlobalFromString("createTime", createTime);

        return getCreateTime();
    }

    public String getUpdStatDate() {
        return getGrtGlobalAsString("updStatDate");
    }

    public String setUpdStatDate(String updStatDate) {
        setGrtGlobalFromString("updStatDate", updStatDate);

        return getUpdStatDate();
    }

    public String getUpdStatTime() {
        return getGrtGlobalAsString("updStatTime");
    }

    public String setUpdStatTime(String updStatTime) {
        setGrtGlobalFromString("updStatTime", updStatTime);

        return getUpdStatTime();
    }

    public String getAlterDate() {
        return getGrtGlobalAsString("alterDate");
    }

    public String setAlterDate(String alterDate) {
        setGrtGlobalFromString("alterDate", alterDate);

        return getAlterDate();
    }

    public String getAlterTime() {
        return getGrtGlobalAsString("alterTime");
    }

    public String setAlterTime(String alterTime) {
        setGrtGlobalFromString("alterTime", alterTime);

        return getAlterTime();
    }

    public String getUnloaded() {
        return getGrtGlobalAsString("unloaded");
    }

    public String setUnloaded(String unloaded) {
        setGrtGlobalFromString("unloaded", unloaded);

        return getUnloaded();
    }

    public String getPrivileges() {
        return getGrtGlobalAsString("privileges");
    }

    public String setPrivileges(String privileges) {
        setGrtGlobalFromString("privileges", privileges);

        return getPrivileges();
    }

    public String getComment() {
        return getGrtGlobalAsString("comment");
    }

    public String setComment(String comment) {
        setGrtGlobalFromString("comment", comment);

        return getComment();
    }

}
