/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class ConstraintsDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ConstraintsData {

    private int minWidth;

    private int maxWidth;

    private int minHeight;

    private int maxHeight;

    public ConstraintsDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getMinWidth() {
        return minWidth;
    }

    public int setMinWidth(int minWidth) {
        this.minWidth = minWidth;

        return getMinWidth();
    }

    public int getMaxWidth() {
        return maxWidth;
    }

    public int setMaxWidth(int maxWidth) {
        this.maxWidth = maxWidth;

        return getMaxWidth();
    }

    public int getMinHeight() {
        return minHeight;
    }

    public int setMinHeight(int minHeight) {
        this.minHeight = minHeight;

        return getMinHeight();
    }

    public int getMaxHeight() {
        return maxHeight;
    }

    public int setMaxHeight(int maxHeight) {
        this.maxHeight = maxHeight;

        return getMaxHeight();
    }

}
