/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class DropdownDataLocal extends com.mysql.grt.forms.WidgetDataLocal implements DropdownData {

    private int fixedList;

    private int selectedItem;

    private String text;

    private com.mysql.grt.GrtStringList items;

    public DropdownDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getFixedList() {
        return fixedList;
    }

    public int setFixedList(int fixedList) {
        this.fixedList = fixedList;

        return getFixedList();
    }

    public int getSelectedItem() {
        return selectedItem;
    }

    public int setSelectedItem(int selectedItem) {
        this.selectedItem = selectedItem;

        return getSelectedItem();
    }

    public String getText() {
        return text;
    }

    public String setText(String text) {
        this.text = text;

        return getText();
    }

    public com.mysql.grt.GrtStringList getItems() {
        if (items == null)
            items = new com.mysql.grt.GrtStringList(this.grtObject);
        return items;
    }

    public com.mysql.grt.GrtStringList setItems(com.mysql.grt.GrtStringList items) {
        this.items = items;
        return getItems();
    }

}
