/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public interface ObjectLogData extends com.mysql.grt.GrtObjectData {

    public com.mysql.grt.base.ObjectLogEntryList getEntries();

    public com.mysql.grt.base.ObjectLogEntryList setEntries(com.mysql.grt.base.ObjectLogEntryList entries);

    public com.mysql.grt.GrtObject getLogObject();

    public com.mysql.grt.GrtObject setLogObject(com.mysql.grt.GrtObject logObject);

    public String getLogObjectById();

    public void setLogObjectById(String logObject);

    public com.mysql.grt.GrtObject getRefObject();

    public com.mysql.grt.GrtObject setRefObject(com.mysql.grt.GrtObject refObject);

    public String getRefObjectById();

    public void setRefObjectById(String refObject);

}
