/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public interface LayerData extends com.mysql.grt.GrtObjectData {

    public int getVisible();

    public int setVisible(int visible);

    public int getEnabled();

    public int setEnabled(int enabled);

    public com.mysql.grt.GrtRealList getScaling();

    public com.mysql.grt.GrtRealList setScaling(com.mysql.grt.GrtRealList scaling);

    public com.mysql.grt.GrtRealList getTranslation();

    public com.mysql.grt.GrtRealList setTranslation(com.mysql.grt.GrtRealList translation);

    public com.mysql.grt.canvas.GroupList getGroups();

    public com.mysql.grt.canvas.GroupList setGroups(com.mysql.grt.canvas.GroupList groups);

    public com.mysql.grt.canvas.FigureInstanceList getFigureInstances();

    public com.mysql.grt.canvas.FigureInstanceList setFigureInstances(com.mysql.grt.canvas.FigureInstanceList figureInstances);

}
