/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class ButtonDataLocal extends com.mysql.grt.forms.WidgetDataLocal implements ButtonData {

    private int isDefault;

    private String icon;

    public ButtonDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getIsDefault() {
        return isDefault;
    }

    public int setIsDefault(int isDefault) {
        this.isDefault = isDefault;

        return getIsDefault();
    }

    public String getIcon() {
        return icon;
    }

    public String setIcon(String icon) {
        this.icon = icon;

        return getIcon();
    }

}
